Graduated styling of vector layer neglects fields from joined tables

2014-11-10 08:51 AM - Peter Tarne

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.6.0 Regression?: No

Operating System: Mac Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 19865

Description

I have joined a vector layer with CSV table values. The attribute table of the joined layer shows all fields as expected. 

However, when I try to apply graduated styling QGIS only offers the attribute fields of the 'original' vector layer before joining attributes as

basis for styling.

History

#1 - 2014-11-10 08:57 AM - Peter Tarne

- File Attributes_for_graduated_styling.png added

- File attritube_table.png added

Hm, my SHP-file was too large for upload... so I attach screenshots...

#2 - 2014-11-10 10:28 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

this is because csv columns are always treated as text (that cannot be used by the graduated renderer), unless otherwise specified by using a csvt file.

http://anitagraser.com/2011/03/07/how-to-specify-data-types-of-csv-columns-for-use-in-qgis/

cheers!
